summaryrefslogtreecommitdiffstats
path: root/bin/hush/svdn
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2018-11-10 14:41:38 -0500
committerJesse Luehrs <doy@tozt.net>2018-11-10 14:43:14 -0500
commit09366721b4a5405ccd24e21c9f0c4edd25d51196 (patch)
treefd72dec2d55f51aecc1b76b01dd7ed18c1be9d87 /bin/hush/svdn
parent12d2a797346af8fc2908bf5d7873414811a7e9cc (diff)
downloadconf-09366721b4a5405ccd24e21c9f0c4edd25d51196.tar.gz
conf-09366721b4a5405ccd24e21c9f0c4edd25d51196.zip
various script cleanups
Diffstat (limited to 'bin/hush/svdn')
-rwxr-xr-xbin/hush/svdn8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/hush/svdn b/bin/hush/svdn
index ce6f4c4..9e0fa0b 100755
--- a/bin/hush/svdn
+++ b/bin/hush/svdn
@@ -1,13 +1,15 @@
-#!/bin/bash
+#!/bin/sh
+set -eu
+set -o pipefail
svst "$1" && svstop "$1"
svst "$1" && sleep 1
svst "$1" && svstop "$1"
-for i in 1..5; do
+for _ in $(seq 1 5); do
svst "$1" && sleep 1
done
svst "$1" && svstop "$1"
-for i in 1..10; do
+for _ in $(seq 1 10); do
svst "$1" && sleep 1
done
svst "$1" && svkill "$1"